# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('ck', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='ICD10CMfinal',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('ICD9CM_code', models.CharField(max_length=255, verbose_name='ICD-9-CM\u4ee3\u78bc', db_column='ICD-9-CM\u4ee3\u78bc')),
                ('ICD9CM_English', models.CharField(max_length=255, verbose_name='ICD-9-CM\u82f1\u6587\u540d\u7a31', db_column='ICD-9-CM\u82f1\u6587\u540d\u7a31')),
                ('ICD9CM_Chinese', models.CharField(max_length=255, verbose_name='ICD-9-CM\u4e2d\u6587\u540d\u7a31', db_column='ICD-9-CM\u4e2d\u6587\u540d\u7a31')),
                ('ICD10CM', models.CharField(max_length=255, verbose_name='ICD-10-CM', db_column='ICD-10-CM')),
                ('ICD10CM_English', models.CharField(max_length=255, verbose_name='ICD-10-CM\u82f1\u6587\u540d\u7a31', db_column='ICD-10-CM\u82f1\u6587\u540d\u7a31')),
                ('ICD10CM_Chinese', models.CharField(max_length=255, verbose_name='ICD-10-CM\u4e2d\u6587\u540d\u7a31', db_column='ICD-10-CM\u4e2d\u6587\u540d\u7a31')),
                ('Corresponding', models.CharField(max_length=255, verbose_name='\u5c0d\u61c9\u60c5\u5f62', db_column='\u5c0d\u61c9\u60c5\u5f62')),
            ],
            options={
                'db_table': 'ICD10CMfinal',
            },
        ),
        migrations.AlterModelOptions(
            name='price',
            options={'ordering': ['code', 'identity', 'name']},
        ),
        migrations.AddField(
            model_name='treatment',
            name='icd10cm',
            field=models.ForeignKey(verbose_name=b'ICD-10-CM', blank=True, to='ck.ICD10CMfinal', null=True),
        ),
    ]
