# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('ck', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='NPatient',
            fields=[
                ('Patient', models.ForeignKey(primary_key=True, serialize=False, to='ck.Patient')),
                ('LastModified', models.DateTimeField(auto_now=True)),
                ('DxDate', models.DateField(null=True, verbose_name=b'\xe8\xa8\xba\xe6\x96\xb7\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('Histology', models.IntegerField(blank=True, null=True, verbose_name=b'\xe7\xb5\x84\xe7\xb9\x94\xe5\xad\xb8\xe5\x9e\x8b\xe6\x85\x8b', choices=[(1, b'Adenocarcinoma'), (2, b'Squamous cell carcinoma'), (3, b'Large cell carcinoma'), (4, b'carcinoma, NOS'), (5, b'Adenosquamous carcinoma')])),
                ('BMDate', models.DateField(null=True, verbose_name=b'\xe5\x88\x9d\xe6\xac\xa1\xe8\x85\xa6\xe8\xbd\x89\xe7\xa7\xbb\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('KPS70', models.NullBooleanField(verbose_name=b'\xe8\xa1\x8c\xe7\x82\xba\xe7\x8b\x80\xe6\x85\x8b\xe9\x87\x8f\xe8\xa1\xa8\xe8\x87\xb3\xe5\xb0\x91\xe4\xb8\x83\xe5\x8d\x81\xe5\x88\x86\xe4\xbb\xa5\xe4\xb8\x8a')),
                ('ExtraCranialMets', models.NullBooleanField(verbose_name=b'\xe6\x98\xaf\xe5\x90\xa6\xe6\x9c\x89\xe8\x83\xb8\xe8\x85\x94\xe5\xa4\x96\xe8\xbd\x89\xe7\xa7\xbb\xe7\x97\x85\xe7\x81\xb6')),
                ('DistantControl', models.CharField(blank=True, max_length=2, null=True, verbose_name=b'\xe4\xb8\x89\xe5\x80\x8b\xe6\x9c\x88\xe5\x85\xa7\xe9\xa1\xb1\xe5\xa4\x96\xe8\xbd\x89\xe7\xa7\xbb\xe6\x8e\xa7\xe5\x88\xb6\xe7\x8b\x80\xe6\x85\x8b', choices=[(b'CR', b'Complete Response'), (b'PR', b'Partial Response'), (b'SD', b'Stable Disease'), (b'PD', b'Progressive Disease')])),
                ('PrimaryControl', models.NullBooleanField(verbose_name=b'\xe8\x83\xb8\xe8\x85\x94\xe5\x8e\x9f\xe7\x99\xbc\xe9\x83\xa8\xe4\xbd\x8d\xe6\x8e\xa7\xe5\x88\xb6\xe7\x8b\x80\xe6\x85\x8b(Controlled)')),
                ('UpfrontSRS', models.NullBooleanField(verbose_name=b'\xe8\x85\xa6\xe8\xbd\x89\xe7\xa7\xbb\xe8\xa8\xba\xe6\x96\xb7\xe5\xbe\x8c\xe6\x98\xaf\xe5\x90\xa6\xe5\x8d\xb3\xe5\x88\xbb\xe9\x80\xb2\xe8\xa1\x8c\xe9\x9b\xbb\xe8\x85\xa6\xe5\x88\x80\xe6\xb2\xbb\xe7\x99\x82')),
                ('PriorWBRT', models.NullBooleanField(verbose_name=b'\xe6\x9b\xbe\xe6\x8e\xa5\xe5\x8f\x97\xe5\x85\xa8\xe8\x85\xa6\xe6\x94\xbe\xe5\xb0\x84\xe6\xb2\xbb\xe7\x99\x82')),
                ('WBRTDate', models.DateField(null=True, verbose_name=b'\xe5\x85\xa8\xe8\x85\xa6\xe6\x94\xbe\xe5\xb0\x84\xe6\xb2\xbb\xe7\x99\x82\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('AdjuvantWBRT', models.NullBooleanField(verbose_name=b'\xe9\x9b\xbb\xe8\x85\xa6\xe5\x88\x80\xe5\xbe\x8c\xe5\x85\xab\xe9\x80\xb1\xe5\x85\xa7\xe9\x80\xb2\xe8\xa1\x8c\xe5\x85\xa8\xe8\x85\xa6\xe6\x94\xbe\xe5\xb0\x84\xe6\xb2\xbb\xe7\x99\x82')),
                ('SRSBMDate', models.DateField(null=True, verbose_name=b'\xe9\x80\xb2\xe8\xa1\x8c\xe9\x9b\xbb\xe8\x85\xa6\xe5\x88\x80\xe4\xb9\x8b\xe8\x85\xa6\xe8\xbd\x89\xe7\xa7\xbb\xe8\xa8\xba\xe6\x96\xb7\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('BMnumber', models.IntegerField(null=True, verbose_name=b'\xe9\x9b\xbb\xe8\x85\xa6\xe5\x88\x80\xe6\xb2\xbb\xe7\x99\x82\xe8\x85\xa6\xe8\xbd\x89\xe7\xa7\xbb\xe7\x97\x85\xe7\x81\xb6\xe7\xb8\xbd\xe6\x95\xb8\xe9\x87\x8f', blank=True)),
                ('TKI', models.NullBooleanField(verbose_name=b'\xe5\x90\x8c\xe6\x99\x82\xe4\xbd\xbf\xe7\x94\xa8\xe6\xa8\x99\xe9\x9d\xb6\xe6\xb2\xbb\xe7\x99\x82')),
                ('Radionecrosis', models.NullBooleanField(verbose_name=b'\xe6\x94\xbe\xe5\xb0\x84\xe6\x80\xa7\xe5\xa3\x9e\xe6\xad\xbb')),
                ('RNDate', models.DateField(null=True, verbose_name=b'\xe8\xa8\xba\xe6\x96\xb7\xe6\x94\xbe\xe5\xb0\x84\xe6\x80\xa7\xe5\xa3\x9e\xe6\xad\xbb\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('NewBM', models.NullBooleanField(verbose_name=b'\xe7\x99\xbc\xe7\x94\x9f\xe6\x96\xb0\xe8\x85\xa6\xe8\xbd\x89\xe7\xa7\xbb\xe7\x97\x85\xe7\x81\xb6')),
                ('NewBMNumber', models.CharField(blank=True, max_length=1, null=True, verbose_name=b'\xe6\x96\xb0\xe8\x85\xa6\xe8\xbd\x89\xe7\xa7\xbb\xe7\x97\x85\xe7\x81\xb6\xe6\x95\xb8\xe9\x87\x8f', choices=[(b'1', b'1'), (b'2', b'2'), (b'3', b'3'), (b'4', b'4'), (b'5', b'5'), (b'M', b'>5')])),
                ('NewBMDate', models.DateField(null=True, verbose_name=b'\xe8\xa8\xba\xe6\x96\xb7\xe6\x96\xb0\xe8\x85\xa6\xe8\xbd\x89\xe7\xa7\xbb\xe7\x97\x85\xe7\x81\xb6\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('SalvageTx', models.IntegerField(blank=True, null=True, verbose_name=b'\xe6\x96\xb0\xe8\x85\xa6\xe8\xbd\x89\xe7\xa7\xbb\xe7\x97\x85\xe7\x81\xb6\xe6\xb2\xbb\xe7\x99\x82\xe6\x96\xb9\xe6\xb3\x95', choices=[(0, b'Supportive care'), (1, b'Chemotherapy'), (2, b'Target therapy'), (3, b'WBRT'), (4, b'SRS'), (5, b'Surgery')])),
                ('Death', models.NullBooleanField(verbose_name=b'\xe7\x99\xbc\xe7\x94\x9f\xe6\xad\xbb\xe4\xba\xa1\xe4\xba\x8b\xe4\xbb\xb6')),
                ('NeuroDeath', models.NullBooleanField(verbose_name=b'\xe5\x9b\xa0\xe8\x85\xa6\xe8\xbd\x89\xe7\xa7\xbb\xe5\xb0\x8e\xe8\x87\xb4\xe6\xad\xbb\xe4\xba\xa1')),
                ('SurviveDate', models.DateField(null=True, verbose_name=b'\xe5\xad\x98\xe6\xb4\xbb\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('DistantProgression', models.NullBooleanField(verbose_name=b'\xe9\xa1\xb1\xe5\xa4\x96\xe7\x97\x85\xe7\x81\xb6\xe6\x83\xa1\xe5\x8c\x96')),
                ('DistantDate', models.DateField(null=True, verbose_name=b'\xe9\xa1\xb1\xe5\xa4\x96\xe7\x97\x85\xe7\x81\xb6\xe6\x83\xa1\xe5\x8c\x96\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('PoorKPS', models.NullBooleanField(verbose_name=b'\xe8\xa1\x8c\xe7\x82\xba\xe7\x8b\x80\xe6\x85\x8b\xe6\x83\xa1\xe5\x8c\x96\xe8\x87\xb4\xe7\x94\x9f\xe6\xb4\xbb\xe7\x84\xa1\xe6\xb3\x95\xe8\x87\xaa\xe7\x90\x86')),
                ('DependentDate', models.DateField(null=True, verbose_name=b'\xe7\x94\x9f\xe6\xb4\xbb\xe9\x96\x8b\xe5\xa7\x8b\xe7\x84\xa1\xe6\xb3\x95\xe8\x87\xaa\xe7\x90\x86\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('EGFR', models.CharField(max_length=200, null=True, verbose_name=b'EGFR Mutation Status', blank=True)),
                ('ALK', models.CharField(max_length=200, null=True, verbose_name=b'EML4-ALK Rearrangement', blank=True)),
                ('KRAS', models.CharField(max_length=200, null=True, verbose_name=b'K-RAS Mutation Status', blank=True)),
                ('BRAF', models.CharField(max_length=200, null=True, verbose_name=b'BRAF Mutation Status', blank=True)),
                ('HER2', models.CharField(max_length=200, null=True, verbose_name=b'HER2 Mutation Status', blank=True)),
                ('ThoracicMets', models.NullBooleanField(verbose_name=b'\xe6\x98\xaf\xe5\x90\xa6\xe6\x9c\x89\xe8\x83\xb8\xe8\x85\x94\xe8\xbd\x89\xe7\xa7\xbb\xe7\x97\x85\xe7\x81\xb6')),
                ('SalvageWBRT', models.NullBooleanField(verbose_name=b'\xe6\x98\xaf\xe5\x90\xa6\xe6\x8e\xa5\xe5\x8f\x97\xe6\x95\x91\xe6\x8f\xb4\xe5\x85\xa8\xe8\x85\xa6\xe6\x94\xbe\xe5\xb0\x84\xe6\xb2\xbb\xe7\x99\x82')),
                ('SalvageRTDate', models.DateField(null=True, verbose_name=b'\xe6\x95\x91\xe6\x8f\xb4\xe5\x85\xa8\xe8\x85\xa6\xe6\x94\xbe\xe5\xb0\x84\xe6\xb2\xbb\xe7\x99\x82\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('SRSDate', models.DateField(null=True, verbose_name=b'\xe5\x9f\xb7\xe8\xa1\x8c\xe7\xac\xac\xe4\xb8\x80\xe6\xac\xa1SRS\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('OverallResponse', models.CharField(blank=True, max_length=2, null=True, verbose_name=b'RECIST\xe6\x95\xb4\xe9\xab\x94\xe6\x9c\x80\xe4\xbd\xb3\xe5\x8f\x8d\xe6\x87\x89', choices=[(b'CR', b'Complete Response'), (b'PR', b'Partial Response'), (b'SD', b'Stable Disease'), (b'PD', b'Progressive Disease')])),
                ('LocalProgression', models.NullBooleanField(verbose_name=b'RECIST\xe6\x95\xb4\xe9\xab\x94\xe5\xb1\x80\xe9\x83\xa8\xe7\x97\x85\xe7\x81\xb6\xe6\x83\xa1\xe5\x8c\x96')),
                ('LocalDate', models.DateField(null=True, verbose_name=b'RECIST\xe5\xb1\x80\xe9\x83\xa8\xe7\x97\x85\xe7\x81\xb6\xe6\x83\xa1\xe5\x8c\x96\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('PseudoPD', models.NullBooleanField(verbose_name=b'\xe5\x81\xbd\xe6\x83\xa1\xe5\x8c\x96')),
                ('ClinicalProgression', models.NullBooleanField(verbose_name=b'\xe8\x87\xa8\xe5\xba\x8a\xe8\xa9\x95\xe4\xbc\xb0\xe5\xb1\x80\xe9\x83\xa8\xe5\xbe\xa9\xe7\x99\xbc')),
                ('RecurDate', models.DateField(null=True, verbose_name=b'\xe8\x87\xa8\xe5\xba\x8a\xe8\xa9\x95\xe4\xbc\xb0\xe5\xb1\x80\xe9\x83\xa8\xe5\xbe\xa9\xe7\x99\xbc\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
            ],
            options={
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='NTarget',
            fields=[
                ('Lesion', models.ForeignKey(primary_key=True, serialize=False, to='ck.Lesion')),
                ('LastModified', models.DateTimeField(auto_now=True)),
                ('RECIST', models.NullBooleanField(verbose_name=b'\xe6\x98\xaf\xe5\x90\xa6\xe7\x82\xbaRECIST\xe5\x8f\xaf\xe6\xb8\xac\xe9\x87\x8f\xe7\x97\x85\xe7\x81\xb6')),
                ('BMdiameter', models.FloatField(null=True, verbose_name=b'\xe7\x97\x85\xe7\x81\xb6\xe6\x9c\x80\xe5\xa4\xa7\xe7\x9b\xb4\xe5\xbe\x91(mm)', blank=True)),
                ('PTV', models.NullBooleanField(verbose_name=b'\xe6\x98\xaf\xe5\x90\xa6\xe5\xa4\x96\xe5\x8a\xa0PTV\xe9\x82\x8a\xe7\x95\x8c')),
                ('TargetResponse', models.CharField(blank=True, max_length=2, null=True, verbose_name=b'RECIST\xe6\x9c\x80\xe4\xbd\xb3\xe5\x8f\x8d\xe6\x87\x89', choices=[(b'CR', b'Complete Response'), (b'PR', b'Partial Response'), (b'SD', b'Stable Disease'), (b'PD', b'Progressive Disease')])),
                ('TargetControl', models.NullBooleanField(verbose_name=b'\xe9\x9b\xbb\xe8\x85\xa6\xe5\x88\x80\xe6\xb2\xbb\xe7\x99\x82\xe7\x97\x85\xe7\x81\xb6\xe6\x83\xa1\xe5\x8c\x96(RECIST)')),
                ('TargetControlDate', models.DateField(null=True, verbose_name=b'\xe9\x9b\xbb\xe8\x85\xa6\xe5\x88\x80\xe6\xb2\xbb\xe7\x99\x82\xe7\x97\x85\xe7\x81\xb6\xe6\x83\xa1\xe5\x8c\x96\xe6\x97\xa5\xe6\x9c\x9f', blank=True)),
                ('Pseudoprogression', models.NullBooleanField(verbose_name=b'MRI\xe5\xbd\xb1\xe5\x83\x8f\xe5\x88\xa4\xe8\xae\x80\xe5\x81\xbd\xe6\x83\xa1\xe5\x8c\x96')),
            ],
            options={
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='PriorTx',
            fields=[
                ('value', models.CharField(max_length=3, serialize=False, primary_key=True)),
                ('option', models.CharField(max_length=200)),
            ],
            options={
            },
            bases=(models.Model,),
        ),
        migrations.AddField(
            model_name='npatient',
            name='priortx',
            field=models.ManyToManyField(to='nsclc.PriorTx', verbose_name=b'\xe8\x8b\xa5\xe9\x9d\x9e\xe5\x8d\xb3\xe5\x88\xbb\xe9\x80\xb2\xe8\xa1\x8c\xe9\x9b\xbb\xe8\x85\xa6\xe5\x88\x80\xe4\xb9\x8b\xe6\xb2\xbb\xe7\x99\x82\xe6\x96\xb9\xe5\xbc\x8f', blank=True),
            preserve_default=True,
        ),
    ]
